Devuan bug report logs - #171
torsocks: can't torify anymore

Package: torsocks; Maintainer for torsocks is (unknown);

Reported by: Fulano Diego Perez <fulanoperez@cryptolab.net>

Date: Fri, 29 Dec 2017 06:33:02 UTC

Severity: normal

Tags: jessie

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#171; Package torsocks. (full text, mbox, link).


Acknowledgement sent to Fulano Diego Perez <fulanoperez@cryptolab.net>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Fulano Diego Perez <fulanoperez@cryptolab.net>
To: submit@bugs.devuan.org
Subject: torsocks: can't torify anymore
Date: Fri, 29 Dec 2017 17:16:47 +1100


Package: torsocks
Version: 2.0.0-3
Severity: normal


$ . torsocks on
Tor mode activated. Every command will be torified for this shell.

$ ssh -p 123 user@host -s sftp
[Dec 29 16:59:39] ERROR torsocks[6389]: Connection not allowed by
ruleset (in socks5_recv_connect_reply() at socks5.c:520)
ssh: connect to host host port 123: Software caused connection abort


$ sftp -P 123 user@host
ssh: Could not resolve hostname host: Name or service not known
Couldn't read packet: Connection reset by peer

used to work before





-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 1.0 (jessie)
Release:	1.0
Codename:	jessie
Architecture: x86_64

Kernel: Linux 3.16.0-4-amd64
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages torsocks depends on:
ii  libc6  2.19-18+deb8u10

Versions of packages torsocks recommends:
ii  tor  0.3.2.8-rc-1~d80.jessie+1

torsocks suggests no packages.

-- no debconf information


Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#171; Package torsocks. (full text, mbox, link).


Acknowledgement sent to Fulano Diego Perez <fulanoperez@cryptolab.net>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #10 received at 171@bugs.devuan.org (full text, mbox, reply):

From: Fulano Diego Perez <fulanoperez@cryptolab.net>
To: 171@bugs.devuan.org
Subject: torsocks: can't torify anymore
Date: Mon, 8 Jan 2018 17:01:42 +1100
syslog

Jan  8 localhost Tor[pid]: Your application (using socks5 to port 22) is
giving Tor only an IP address. Applications that do DNS resolves
themselves may leak information. Consider using Socks4A (e.g. via
privoxy or socat) instead. For more information, please see
https://wiki.torproject.org/TheOnionRouter/TorFAQ#SOCKSAndDNS. Rejecting.


this applies to ascii also

can anybody confirm torsocks and ssh/sftp works for them ?




Tags added: jessie, ascii Request was from OmegaPhil <OmegaPhil@startmail.com> to control@bugs.devuan.org. (full text, mbox, link).


Tags removed: ascii Request was from KatolaZ <katolaz@freaknet.org> to control@bugs.devuan.org. (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#171; Package torsocks. (full text, mbox, link).


Acknowledgement sent to Dimitris <dimitris@stinpriza.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #19 received at 171@bugs.devuan.org (full text, mbox, reply):

From: Dimitris <dimitris@stinpriza.org>
To: 171@bugs.devuan.org
Subject: works
Date: Fri, 1 Feb 2019 22:28:01 +0200
[Message part 1 (text/plain, inline)]
i know this is old, but just FYI, reporting that  version 2.3.0-1
(beowulf) works ok. no problem using it as described or any other way.

never really had any issues with torsocks, even with ascii, IIRC.

[signature.asc (application/pgp-signature, attachment)]

Reply sent to KatolaZ <katolaz@freaknet.org>:
You have taken responsibility. (full text, mbox, link).


Notification sent to Fulano Diego Perez <fulanoperez@cryptolab.net>:
bug acknowledged by developer. (full text, mbox, link).


Message #24 received at 171-done@bugs.devuan.org (full text, mbox, reply):

From: KatolaZ <katolaz@freaknet.org>
To: 171-done@bugs.devuan.org
Subject: closing
Date: Fri, 1 Feb 2019 22:07:43 +0100
[Message part 1 (text/plain, inline)]
Closing. Please reopen if this still applies.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#171; Package torsocks. (full text, mbox, link).


Acknowledgement sent to Fulano Diego Perez <fulanoperez@cryptolab.net>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #29 received at 171@bugs.devuan.org (full text, mbox, reply):

From: Fulano Diego Perez <fulanoperez@cryptolab.net>
To: 171@bugs.devuan.org
Cc: KatolaZ <katolaz@freaknet.org>
Subject: Re: bug#171 acknowledged by developer (closing)
Date: Sat, 9 Feb 2019 19:55:57 +1100
Ticket closed without reason?


$ . torsocks on
Tor mode activated. Every command will be torified for this shell.
$ trans en:de+es+fr+it+pt 'Journalist and photographer at The Star
Newspaper'
1549702246 ERROR torsocks[23974]: Connection not allowed by ruleset (in
socks5_recv_connect_reply() at socks5.c:537)
1549702247 ERROR torsocks[23974]: Connection not allowed by ruleset (in
socks5_recv_connect_reply() at socks5.c:537)
1549702249 ERROR torsocks[23974]: Connection not allowed by ruleset (in
socks5_recv_connect_reply() at socks5.c:537)
1549702250 ERROR torsocks[23974]: Connection not allowed by ruleset (in
socks5_recv_connect_reply() at socks5.c:537)
1549702251 ERROR torsocks[23974]: Connection not allowed by ruleset (in
socks5_recv_connect_reply() at socks5.c:537)
1549702252 ERROR torsocks[23974]: Connection not allowed by ruleset (in
socks5_recv_connect_reply() at socks5.c:537)


ssh and sftp fail also

?





Devuan bug Tracking System wrote:
> This is an automatic notification regarding your bug report
> #171: torsocks: can't torify anymore,
> which was filed against the torsocks package.
> 
> It has been closed by one of the developers, namely
> KatolaZ <katolaz@freaknet.org>.
> 
> Their explanation is attached below.  If this explanation is
> unsatisfactory and you have not received a better one in a separate
> message then please contact the developer, by replying to this email.
> 
> Devuan Bugs Owner
> (administrator, Devuan bugs database)
> 
> Received: (at 171-done) by bugs.devuan.org; 1 Feb 2019 21:10:03 +0000
> Return-Path: <katolaz@freaknet.org>
> Delivered-To: devuanbugs@dyne.org
> Received: from tupac3.dyne.org [195.169.149.119]
> 	by fulcanelli with IMAP (fetchmail-6.3.26)
> 	for <debbugs@localhost> (single-drop); Fri, 01 Feb 2019 22:10:03 +0100 (CET)
> Received: from [127.0.0.1] (localhost [127.0.0.1])
> 	(Authenticated sender: katolaz@freaknet.org)
> 	with ESMTPSA id 3F5DBF60BA1
> Date: Fri, 1 Feb 2019 22:07:43 +0100
> From: KatolaZ <katolaz@freaknet.org>
> To: 171-done@bugs.devuan.org
> Subject: closing
> Message-ID: <20190201210743.rtsbpt34xs4klikg@katolaz.homeunix.net>
> MIME-Version: 1.0
> Content-Type: multipart/signed; micalg=pgp-sha1;
> 	protocol="application/pgp-signature"; boundary="3pazb5d24puaem3u"
> Content-Disposition: inline
> User-Agent: NeoMutt/20170113 (1.7.2)
> X-Spam-Status: No, score=-1.0 required=5.0 tests=ALL_TRUSTED
> 	autolearn=disabled version=3.4.2
> X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org
> 
> 
> --3pazb5d24puaem3u
> Content-Type: text/plain; charset=us-ascii
> Content-Disposition: inline
> 
> Closing. Please reopen if this still applies.
> 
> --3pazb5d24puaem3u
> Content-Type: application/pgp-signature; name="signature.asc"
> 
> -----BEGIN PGP SIGNATURE-----
> 
> iF0EABECAB0WIQSOWdaqRF79tKFTPVpfILOuC18GLwUCXFS1HAAKCRBfILOuC18G
> LzRyAJ9Jbr3Avm85EGt4MXL5WXhrUlkkEACfUcbKudpHLQXWaKfSPhPVr0gLTcw=
> =RBz3
> -----END PGP SIGNATURE-----
> 
> --3pazb5d24puaem3u--
> 


Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#171; Package torsocks. (full text, mbox, link).


Acknowledgement sent to KatolaZ <katolaz@freaknet.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #34 received at 171@bugs.devuan.org (full text, mbox, reply):

From: KatolaZ <katolaz@freaknet.org>
To: 171@bugs.devuan.org
Subject: Please reopen
Date: Sat, 9 Feb 2019 15:14:09 +0100
[Message part 1 (text/plain, inline)]
Hi,

I have re-opened the bug since you claim it still applies, but a bit
more information on what does not work on your side (or any other
report about similar incorrect behaviours by other users) would really
help.

HND

KatolaZ
[signature.asc (application/pgp-signature, inline)]

bug reopened, originator not changed. Request was from KatolaZ <katolaz@freaknet.org> to control@bugs.devuan.org. (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#171; Package torsocks. (full text, mbox, link).


Acknowledgement sent to Dimitris <dimitris@stinpriza.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #41 received at 171@bugs.devuan.org (full text, mbox, reply):

From: Dimitris <dimitris@stinpriza.org>
To: 171@bugs.devuan.org
Subject: Re: works
Date: Fri, 12 Apr 2019 15:10:53 +0300
[Message part 1 (text/plain, inline)]
i'd like to ask, do you use defaults or have you changed things in
torsocks.conf/torrc ? (like listening port?)

--

still using torsocks normally, and retried original scenarios without
any errors. tor running with default settings.
so, can't reproduce this.
anyone else?

d.

[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sat May 30 23:30:58 2020;